net.corda.core.contracts

## Class DummyContract.Companion

- net.corda.core.contracts.DummyContract.Companion

- Enclosing class:
    DummyContract

      public static class DummyContract.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionBuilder` | `generateInitial(int magicNumber, Party notary, PartyAndReference owner, net.corda.core.contracts.PartyAndReference otherOwners)`
    `TransactionBuilder` | `move(StateAndRef<net.corda.core.contracts.DummyContract.SingleOwnerState> prior, CompositeKey newOwner)`
    `TransactionBuilder` | `move(java.util.List<net.corda.core.contracts.StateAndRef> priors, CompositeKey newOwner)`

- - ### Method Detail

    - #### generateInitial

          public TransactionBuilder generateInitial(int magicNumber,
                                                    Party notary,
                                                    PartyAndReference owner,
                                                    net.corda.core.contracts.PartyAndReference otherOwners)

    - #### move

          public TransactionBuilder move(StateAndRef<net.corda.core.contracts.DummyContract.SingleOwnerState> prior,
                                         CompositeKey newOwner)

    - #### move

          public TransactionBuilder move(java.util.List<net.corda.core.contracts.StateAndRef> priors,
                                         CompositeKey newOwner)